#ifndef CONFIGDIALOG_H
#define CONFIGDIALOG_H

#include <QDialog>

class KHTMLPart;

namespace Ui {
    class ConfigDialog;
}

class ConfigDialog : public QDialog {
    Q_OBJECT
public:
	ConfigDialog(QWidget *parent = 0, KHTMLPart *part = 0, QString username = "", QString password = "");
    ~ConfigDialog();

protected:
    void changeEvent(QEvent *e);

signals:
	void accountData(const QString &username, const QString &password);

private:
    Ui::ConfigDialog *ui;
	KHTMLPart *m_part;

private slots:
    void on_confirmButton_clicked();
	void on_registerLabel_leftClickedUrl();
};

#endif // CONFIGDIALOG_H
